Convert monit to new packaging style
[openwrt/svn-archive/archive.git] / openwrt / package / monit / files / monit.init
diff --git a/openwrt/package/monit/files/monit.init b/openwrt/package/monit/files/monit.init
new file mode 100644 (file)
index 0000000..d1d6ce6
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+BIN=monit
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+  mkdir -p $RUN_D
+  $BIN $OPTIONS
+  ;;
+ stop)
+  [ -f $PID_F ] && kill $(cat $PID_F)
+  ;;
+ *)
+  echo "usage: $0 (start|stop)"
+  exit 1
+esac
+exit $?